#!/bin/sh
#/******************************************************************************
# *
# * Licensed Materials - Property of IBM
# *
# * Source File Name = startIncrementalSynchronizerCMD_WAS.sh
# *
# * (C) COPYRIGHT IBM Corp. 1999, 2003 All Rights Reserved
# *
# * US Government Users Restricted Rights - Use, duplication or
# * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# *
# *****************************************************************************/

# Set user-defined variables.
ITIM_HOME=
JAVA_HOME=

clear 
result=`ls -l $ITIM_HOME/lib | grep 'itim_server.jar' | wc -l`
if [ "$result" -ne 1 ]
then
	echo
	echo "ITIM 4.6 was not found in the ITIM_HOME specified"
	echo "Please edit this script so that ITIM_HOME" 
	echo "variable points to the ITIM 4.6 installation in your system"
	exit 1
fi

result=`ls -l $JAVA_HOME/bin | grep 'java' | wc -l`
if [ "$result" -lt 1 ]
then
	echo
	echo "The JDK wasn't found in directory JAVA_HOME."
	echo "Please edit this script so that the JAVA_HOME"
	echo "variable points to the location of your JDK."
	exit 1
fi

JAVA=$JAVA_HOME/bin/java

CLASSPATH=.
CLASSPATH=$CLASSPATH:$ITIM_HOME/data
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/api_ejb.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/app_ejb.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/wf_ejb.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/aspectjrt.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/enroleagent.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/itim_api.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/itim_server.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/ldapjdk.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/xalan.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/xml-apis.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/xercesImpl.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/db2java.zip
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/db2jcc.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/ojdbc14.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/antlr-2.7.2.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/jlog.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/jffdc.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/JSQLConnect.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/websphere_lib/j2ee.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/websphere_lib/ecutils.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/websphere_lib/ffdc.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/websphere_lib/idl.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/websphere_lib/bootstrap.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/websphere_lib/iwsorb.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/websphere_lib/naming.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/websphere_lib/namingclient.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/websphere_lib/ras.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/websphere_lib/lmproxy.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/websphere_lib/sas.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/websphere_lib/tx.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/websphere_lib/txClientPrivate.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/websphere_lib/utils.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/websphere_lib/wsexception.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/websphere_lib/wssec.jar


OPTIONS="java.security.auth.login.config=$ITIM_HOME/data/jaas_login_was.conf"

SEC_CONFIG_URL="com.ibm.CORBA.ConfigURL=file:$ITIM_HOME/data/sas.client.props"


# Uncomment the following command and use it, if administrative security 
# is disabled in Websphere Application Server
# $JAVA -D$OPTIONS -classpath $CLASSPATH com.ibm.itim.adhocreport.changelog.DeltaSynchronizer.DeltaSynchronizeCMD "$@"


# Comment out the following command if administrative security is disabled 
# in Websphere Application Server
$JAVA -D$OPTIONS -D$SEC_CONFIG_URL -classpath $CLASSPATH com.ibm.itim.adhocreport.changelog.DeltaSynchronizer.DeltaSynchronizeCMD "$@"
